Mar 26, 2021

Tool is providing this error, can anyone provide a solution?

"error during serialization or deserialization using the JSON JavaScriptSerializer. The length of the string exceeds the value set on the parameter name: input"

Mar 26, 2021

Yes, the JSON file that is coming back for your applications is is longer than the default maximum JSON length which is 2097152 characters. Send me an email at chalstead@vmware.com and I can send you a version with the max length updated to jss.MaxJsonLength = "50000000"

Thanks

Chris

Feb 10, 2021

It should be fantastic if it was possible to sync the Computer tags also. Now all the tags are labled (all)

Oct 23, 2020

Hi Chris,
Using the sync tool on an App Volumes 4.0.1.35 environment. When you run the synch no errors are generated but the entitlements don't sync across.
Checking the log file all I can see is Adding Entitlement: {"data":[]} for each entry that should be replicated.
Tried with both version 4.2 and 4.3 and get the same result.
Thanks, Mike

Oct 23, 2020

Hi Mike - I haven't seen that happen before. Can you send me an email at chalstead@vmware.com and include some screenshots of the envionment and also the sync page. I can work through it with you on email thanks

Sep 02, 2020

Hello Chris, can this FLING sync 2.18x AppStack entitlements to a fresh 4.x install that has the 2.18x feature enabled? So, SYNC AppStack to AppStack Entitlements from 2.18x Manager to a 4.x Manager, not 2.x AppStack to 4.x Packages? I get 'App Volumes versions do not match, you cannot sync entitlements between version 2.x and 4.x'.
Not sure if Im just encountering a bug or the FLING cant do this? And if not, any plans to in near future?
Thanks Dan

Sep 02, 2020

Hi Dan - it should work to just sync entitlement from 2.x to legacy 2.x AppStacks. It is not currently supported in the Fling but something on my list to test and enable. You would have to copy and import the legacy AppStacks into the 4.x environment then sync from 2.x server to the 4.x server when showing just legacy AppStacks. Those APIs are the same so should work fine. I have it on my list and good to hear you are interested. thanks

Sep 02, 2020

Thanks Chris. Any ETA when you plan to enable via the fling, or do you have a PS script already built you could share that I can just change the server names?
We had to get brand new servers to support 4.x. Standing up new 4x environments side by side with our existing 2.18x allows for easier migration across all 12 separate instances. We wanted a fresh install, so synching these Entitlements would really help out a lot.

Thanks again Dan

Sep 03, 2020

Hi Dan - hopefully soon, but I can only work on Flings in my personal free time and I haven't had much recently. You would just need to import the 2.x AppStacks into 4.x legacy mode so that the names match. I will try to get that enabled in 4.3 which I hope to have out in a week or two

Sep 03, 2020

Hi Dan - hopefully soon, but I can only work on Flings in my personal free time and I haven't had much recently. You would just need to import the 2.x AppStacks into 4.x legacy mode so that the names match. I will try to get that enabled in 4.3 which I hope to have out in a week or two

Sep 03, 2020

Fully understand and really appreciate it - its a great tool!!